"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScrapboxParserStream = void 0;
const CombinedStream_1 = __importDefault(require("./CombinedStream"));
const ConvertToBlockStream_1 = __importDefault(require("./ConvertToBlockStream"));
const PackingBlockStream_1 = __importDefault(require("./PackingBlockStream"));
const ParsingStream_1 = __importDefault(require("./ParsingStream"));
class ScrapboxParserStream extends CombinedStream_1.default {
    constructor({ hasTitle = true, ...option } = {}) {
        super(option, new ConvertToBlockStream_1.default(), new PackingBlockStream_1.default({ hasTitle }), new ParsingStream_1.default());
    }
}
exports.ScrapboxParserStream = ScrapboxParserStream;
//# sourceMappingURL=index.js.map