import CombinedStream from './CombinedStream';
import ConvertToBlockStream from './ConvertToBlockStream';
import PackingBlockStream from './PackingBlockStream';
import ParsingStream from './ParsingStream';
export class ScrapboxParserStream extends CombinedStream {
    constructor({ hasTitle = true, ...option } = {}) {
        super(option, new ConvertToBlockStream(), new PackingBlockStream({ hasTitle }), new ParsingStream());
    }
}
//# sourceMappingURL=index.js.map