"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
class CombinedStream extends stream_1.PassThrough {
    constructor(opt, ...streams) {
        super({ ...opt, objectMode: true });
        this.stream = streams.reduce((source, destination) => source.pipe(destination), this);
        this.pipe = (destination, options) => (this.stream.pipe(destination, options));
    }
}
exports.default = CombinedStream;
//# sourceMappingURL=CombinedStream.js.map