/// <reference types="node" />
import { Transform, TransformCallback } from 'stream';
import { ParserOption } from '@progfay/scrapbox-parser';
import { BlockComponent } from '@progfay/scrapbox-parser/lib/block/BlockComponent';
import { CodeBlockComponent } from '@progfay/scrapbox-parser/lib/block/CodeBlock';
import { TableComponent } from '@progfay/scrapbox-parser/lib/block/Table';
export default class PackingStream extends Transform {
    shouldPackTitle: boolean;
    packingComponent: ((CodeBlockComponent | TableComponent) & {
        indent: number;
    }) | null;
    constructor({ hasTitle }: ParserOption);
    _transform(blockComponent: BlockComponent, _encoding: string, callback: TransformCallback): void;
    _final(callback: TransformCallback): void;
}
//# sourceMappingURL=PackingBlockStream.d.ts.map